1

I am new to EE and hoping for some help. Currently using version 2.5.5. Received the following error code:

A PHP Error was encountered
Severity: 8192
Message: Non-static method Calendar_upd::_default_preferences() should not be called statically, assuming $this from incompatible context
Filename: calendar/data.calendar.php
Line Number: 338

Since this began appearing, the Edit Channel search function is not working. Just get the spinning wheel, no results. Any suggestions on how to resolve would be appreciated. Thanks!

1

sounds like a php method or class in the calendar module/extension needs updating. I don't have a calendar module to verify this, but in the past when I've ran into this issue it can usually be fixed by modifying the method call.

Can you look at the calendar/data.calendar.php file around line 338 and see if there is a function that references Calendar_upd.

Its probably something like

function thisIsTheFunctionName(){...

you can try changing the function to this

public static function thisIsTheFunctionName(){...
1
  • 2
    As an addendum to this - this would be caused by your server being upgraded to PHP 5.6. You'll definitely want to update EE and all of your add-ons to the current versions to be compatible with PHP 5.6+. – Derek Hogue Jun 1 '17 at 19:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.